<?php
class Parceiro
{
	public  $qry;
	private	$sql;
	private $from = 'parceiro';
	private $id = 'id_parceiro';
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}
	public function Select($id = 0)
	{
		$this->sql = "select a.id_parceiro, a.id_tipo_parceiro, b.descricao, a.nome, a.telefone, a.celular, a.email, a.obs, a.data_cadastro, 
								a.endereco, a.cidade, a.bairro, a.cep 
								from parceiro a, tipo_parceiro b
								where a.id_tipo_parceiro = b.id_tipo_parceiro";
		if ($id != 0) {
			$this->sql .= " and a.$this->id = $id ";
		}
		$this->sql .= " and a.id_empresa = $this->id_empresa limit 1";
		$this->execulta();
	}


	public function ListaParceiro()
	{
		$this->sql = "select a.id_parceiro, a.nome, a.bairro 
								from parceiro a, tipo_parceiro b
								where a.id_tipo_parceiro = b.id_tipo_parceiro
								and a.id_empresa = $this->id_empresa";
		$this->execulta();
	}

	public function TipoParceiro()
	{
		$this->sql = "SELECT id_tipo_parceiro, descricao 
						  FROM tipo_parceiro
						  order by 2";
		$this->execulta();
	}

	public function VerificarDuplicidade($valor, $campo)
	{
		$valor = addslashes($valor);
		$this->sql = "select $campo from parceiro
						  where $campo = '$valor'
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function Insert($id_tipo_parceiro, $nome, $telefone, $celular, $email, $obs, $endereco, $cidade, $bairro, $cep)
	{
		$data_cadastro = date('Y/m/d');
		$nome    = addslashes($nome);
		$obs	 = addslashes($obs);
		$endereco =  addslashes($endereco);
		$cidade	 = addslashes($cidade);
		$bairro  = addslashes($bairro);

		$this->sql = "INSERT INTO parceiro
						(id_tipo_parceiro, nome, telefone, celular, email, obs, endereco, cidade, bairro, cep, data_cadastro, id_empresa)
						VALUES
						('$id_tipo_parceiro', '$nome', '$telefone', '$celular', '$email', '$obs', '$endereco', '$cidade', '$bairro', '$cep', '$data_cadastro', '$this->id_empresa')";
		$this->execulta();
		return mysqli_insert_id();
	}


	public function Upadate($id_parceiro, $id_tipo_parceiro, $nome, $telefone, $celular, $email, $obs, $endereco, $cidade, $bairro, $cep)
	{
		$nome    = addslashes($nome);
		$obs	 = addslashes($obs);
		$endereco =  addslashes($endereco);
		$cidade	 = addslashes($cidade);
		$bairro  = addslashes($bairro);

		$this->sql = "UPDATE parceiro
							SET 
							id_tipo_parceiro = '$id_tipo_parceiro',
							nome = '$nome',
							telefone = '$telefone',
							celular = '$celular',
							email = '$email',
							obs = '$obs',
							endereco = '$endereco',
							cidade = '$cidade',
							bairro = '$bairro',
							cep = '$cep' 
							WHERE id_parceiro = $id_parceiro";
		$this->execulta();
	}


	public function Delete($id)
	{
		$this->sql = "delete from $this->from
							where $this->id = '$id'";
		$this->execulta();
	}


	public function Localizar($Localizador, $categoria = '-1')
	{
		$Localizador = addslashes($Localizador);




		$this->sql = "select a.$this->id, b.descricao, a.nome, a.telefone, a.celular
							  from $this->from a,  tipo_parceiro b 
							  where a.id_empresa = $this->id_empresa
							  and a.id_tipo_parceiro = b.id_tipo_parceiro
							  and a.nome like '%$Localizador%' ";
		if ($categoria != '-1')
			$this->sql .= " and a.id_tipo_parceiro = $categoria ";

		$this->execulta();
	}
}
